Subject: [Sip] Current SIP status

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Sun, 16 Nov 2008 07:18:58 +0100

(As WG chair)

This is my current understanding of the SIP WG document status.

Corrections are welcome.

regards

Keith

Documents published since IETF #72 (5)
======================================

RFC 5360
draft-ietf-sip-consent-framework-04 (Proposed standard)
Authors: Jonathan Rosenberg, Gonzalo Camarillo, Dean Willis

RFC 5365
draft-ietf-sip-uri-list-message-03  (Proposed standard)
Authors: Miguel Garcia, Gonzalo Camarillo

RFC 5366
draft-ietf-sip-uri-list-conferencing-02  (Proposed standard)
Authors: Gonzalo Camarillo, Alan Johnston

RFC 5367
draft-ietf-sip-uri-list-subscribe-02  (Proposed standard)
Authors: Gonzalo Camarillo, Adam Roach, Orit Levin

RFC 5368
draft-ietf-sip-multiple-refer-03  (Proposed standard)
Authors: Gonzalo Camarillo, Aki Niemi, Markus Isomaki, Miguel Garcia,
Hisham Khartabil

Documents in RFC editor's queue (7)
===================================

draft-ietf-sip-gruu-15 (Proposed standard)
Keith Drage is document shepherd
Currently in state: In RFC Editor's Queue - MISSREF (waiting for
draft-ietf-sip-outbound).

draft-munakata-sip-privacy-guideline (Informational)
Individual submission to RFC editor. Not from SIP WG.
Currently in state: In RFC Editor Queue

draft-ietf-sip-answermode-07 (Proposed standard)
Keith Drage is PROTO document shepherd
Currently in state: In RFC Editor Queue in IANA.

draft-ietf-sip-ice-option-tag-02 (Proposed standard)
Keith Drage is PROTO document shepherd
Currently in state: In RFC Editor Queue

draft-ietf-sip-hitchhikers-guide-05 (Informational)
Keith Drage is PROTO document shepherd
Currently in state: In RFC Editor Queue

draft-ietf-sip-rph-new-namespaces-04 (Proposed standard)
Keith Drage is PROTO document shepherd
Currently in state: Approved-announcement to be sent :: Point Raised -
writeup needed 

draft-ietf-sip-fork-loop-fix-08 (Proposed standard)
Keith Drage is document shepherd
Currently in state: In RFC Editor Queue

Documents with IESG (8)
=======================

draft-ietf-sip-certs-07 (Proposed standard)
Candidate: Proposed standard
Dean Willis is PROTO document shepherd
Publication requested 1st February 2008.
Jon Peterson is responsible AD.
Currently in state: AD Evaluation

draft-ietf-sip-xcapevent-04 (Proposed standard)
Dean Willis is document shepherd
OMA liaison - interaction with draft-ietf-simple-xcap-diff
Publication requested 2nd July 2008
Currently in state: IESG Evaluation:: Revised ID Needed

draft-ietf-sip-outbound-16 (Proposed standard)
Publication requested 28th July 2008
Dean Willis is PROTO document shepherd
Currently in state: Publication requested

draft-ietf-sip-sips-08 (Proposed standard)
Dean Willis is PROTO document shepherd
Publication requested 30th April 2008.
Currently in state: IESG Evaluation:: Revised ID Needed

draft-ietf-sip-connect-reuse-12
Candidate: Proposed standard
Publication requested 24th October 2008
Keith Drage is PROTO document shepherd
Currently in state: Publication Requested

draft-ietf-sip-media-security-requirements-08
Candidate: Informational
Dean Willis is PROTO document shepherd
Publication requested 22nd September 2008 
Currently in state: Approved-announcement to be sent :: Point Raised -
writeup needed 

draft-ietf-sip-dtls-srtp-framework-05
Candidate: Proposed standard
Dean Willis is PROTO document shepherd
Publication requested 23rd September 2008 
Currently in state: IESG Evaluation:: Revised ID Needed

draft-ietf-sip-session-policy-framework-05
Candidate: Proposed standard
Publication requested 1st November 2008
Keith Drage is PROTO document shepherd
Currently in state: Publication Requested

Documents returned to the WG from IESG (1)
==========================================

draft-ietf-sip-e2m-sec-06 (Proposed standard)
Dean Willis is PROTO document shepherd 
IESG last call completed 14th May 2007. No last call comments. Problems
with proposed standard status
See draft-draft-rai-sip-header-process for possible process changes to
allow progressing as experimental
Current status: Dead

Documents finished in the WG, awaiting submission to IESG (4)
=============================================================

draft-ietf-sip-domain-certs-02
Candidate: Informational a Proposed standard
Milestone for WGLC November 2007
WGLC initiated 22nd February 2008 to complete 7th March 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG September 2008

draft-ietf-sip-eku-03
Candidate: Proposed standard
Milestone for WGLC November 2007
WGLC initiated 22nd February 2008 to complete 7th March 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG September 2008

draft-ietf-sip-subnot-etags-03
Agreed as WG item (subject to AD) at IETF#67
Candidate: proposed standard
September 2007 -- Extension for use of etags in conditional notification
to WGLC
WGLC initiated 4th September 2007 to complete 18th September 2007
Dean Willis is PROTO document shepherd
December 2007 -- Extension for use in etags in conditional notification
to IESG (PS)

draft-ietf-sip-record-route-fix-05
Candidate: Best Current Practice
Milestone for WGLC May 2008
WGLC initiated 16th July 2008 to complete 29th July 2008
Dean Willis is PROTO document shepherd
Milestone for submission to IESG Aug 2008

Documents in working group last call (4)
========================================

draft-ietf-sip-location-conveyance-11
Candidate: Proposed standard
Milestone for submission to IESG is December 2008
Review team assembled: Authors, WG chairs, Shida Schubert, Joszef Varga,
Henning Schulzrinne, Richard Barnes, Hannes Tschofenig
WGLC initiated 4th March 2007 to complete 2nd April 2007. WGLC also
issued in GEOPRIV WG
Waiting on GEOPRIV decision on
draft-ietf-geopriv-sip-lo-retransmission-01.txt before further WGLC. The
GEOPRIV document is in WGLC until 1st August 2008.
Keith Drage is PROTO document shepherd

draft-ietf-sip-body-handling-04
Candidate: Proposed standard
Milestone for WGLC January 2008
WGLC initiated 25th June 2008 to complete 11th July 2008
Dean Willis is PROTO document shepherd
Milestone for submission to IESG January 2009

draft-ietf-sip-saml-05
Candidate: Experimental
Milestone for WGLC is November 2008
Milestone for submission to IESG is December 2008
WGLC initiated 4th November 2008 to complete 18th November 2008
Keith Drage is PROTO document shepherd

draft-ietf-sip-199-02
Candidate: Proposed standard
Milestone for WGLC Sep 2008
WGLC initiated 4th November 2008 to complete 18th November 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG Nov 2008

Documents still in discussion in working group (4)
==================================================

draft-ietf-sip-sec-flows-01
Candidate: Informational
Milestone for WGLC is March 2009
Milestone for submission to IESG is July 2009
To a certain extent dependent on resolution of ideas in (and therefore
waiting on them):
draft-ietf-sip-sips-02  
draft-gurbani-sip-domain-certs-04 
Dean Willis is PROTO document shepherd
Draft expired and removed from drafts directory 

draft-rosenberg-sip-ua-loose-route-01 
Agreed as WG item at IETF#67
Candidate: proposed standard
December 2008: Delivering request-URI and parameters to UAS via proxy to
WGLC
February 2009: Delivering request-URI and parameters to UAS via proxy to
IESG (PS)
Dean Willis is PROTO document shepherd
To be replaced by draft-rosenberg-sip-target-uri-delivery-00 - is this
the document we want to move forward with

draft-ietf-sip-ua-privacy-03
Candidate: Best Current Practice (we may downgrade / upgrade this based
on discussion of the contents)
Milestone for WGLC February 2009
Milestone for submission to IESG April 2009
Keith Drage is PROTO document shepherd
WGLC soon

draft-ietf-sip-info-events-01
Agreed at IETF#72 (subject to AD approval)
Candidate: Proposed standard
Milestone for WGLC is February 2009
Milestone for submission to IESG is April 2009
Keith Drage is PROTO document shepherd

Other WG work
=============

Essential corrections
Milestone: 1st batch to IESG in March 2009
Robert Sparks to be lead editor
Process in draft-drage-sip-essential-correction-03
Will roll in RFC 3420 and draft-ietf-sip-fork-loop-fix in first
published version of RFC 3261 update
See:
http://www.softarmor.com/mediawiki/index.php/Essential_Corrections_Track
ing
Current documents under consideration:
draft-ietf-sip-ipv6-abnf-fix-02 (WGLC complete)
draft-sparks-sip-invfix-02 (WGLC in progress)
Keith Drage is PROTO document shepherd

Identify requirements for test matrix to move SIP to Draft Standard   
Milestone March 2009
Robert Sparks coordinating input
Draft-sparks-sip-steps-to-draft-00 contains a proposal
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip